Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028930
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2015-02-13 08:242015-02-23 05:11
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q2
StatusclosedFix in branchFixed in SCM revision1956d9ea32b8
ProjectionnoneETAnoneTarget Version3.0PR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028930: include Logs Clean Up Utility module within Openbravo 3 distribution

DescriptionInclude Logs Clean Up Utility module [1] within Openbravo 3 distribution.

More detailed information [2].

[1] http://centralrepository.openbravo.com/heartbeat-server/org.openbravo.forge.ui/sso/ForgeModuleDetail/Log-Clean-Up-Utility [^]
[2] http://wiki.openbravo.com/wiki/Projects:Include_Logs_Clean_Up_Utility_In_Distribution [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 00289363.0PR15Q2 closedalostale Openbravo ERP Datasets For Default Data 
related to design defect 0030279 acknowledgedplatform Openbravo ERP log clean up process doesn't vacuum tables deleted via FK cascaded deletion 
causes defect 0030654 closedranjith_qualiantech_com Retail Modules The LogClient table should be cleaned up using the Log cleanup module 

-  Notes
(0074579)
hgbot (developer)
2015-02-18 10:17

Repository: erp/devel/pi
Changeset: 1956d9ea32b8a7a6349caf0d542582e0e7bc577a
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Feb 18 10:11:44 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1956d9ea32b8a7a6349caf0d542582e0e7bc577a [^]

fixed issue 28930 fixed issue 28936

  * Included Logs Clean Up Utility module in distribution
  * Implemented Datasets For Default Data

    More details:
      http://wiki.openbravo.com/wiki/Projects:Include_Logs_Clean_Up_Utility_In_Distribution [^]
      http://wiki.openbravo.com/wiki/Projects:Datasets_For_Default_Data [^]

---
M .classpath.template
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_DATASET.xml
M modules/org.openbravo.client.myob/src-db/database/sourcedata/AD_DATASET.xml
M modules/org.openbravo.v3.datasets/src-db/database/sourcedata/AD_DATASET.xml
M modules/org.openbravo.v3/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M src-db/database/model/tables/AD_DATASET.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_DATASET.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_TREENODE.xml
M src-test/build.xml
M src-test/src/org/openbravo/test/AllAntTaskTests.java
M src-test/src/org/openbravo/test/AllQuickAntTaskTests.java
M src-test/src/org/openbravo/test/AllTests.java
M src-test/src/org/openbravo/test/AntTaskTests.java
M src/org/openbravo/dal/xml/EntityXMLConverter.java
M src/org/openbravo/dal/xml/XMLConstants.java
M src/org/openbravo/dal/xml/XMLEntityConverter.java
M src/org/openbravo/service/db/DataExportService.java
A modules/org.openbravo.utility.cleanup.log/referencedata/standard/Log_Clean_Up_Default_Configuration.xml
A modules/org.openbravo.utility.cleanup.log/src-db/database/model/tables/OBULOG_CONFIG.xml
A modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_COLUMN.xml
A modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_DATASET.xml
A modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_DATASET_TABLE.xml
A modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_ELEMENT.xml
A modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_FIELD.xml
A modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_MENU.xml
A modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_MESSAGE.xml
A modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_MODULE.xml
A modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_MODULE_DBPREFIX.xml
A modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
A modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_PACKAGE.xml
A modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_PROCESS.xml
A modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_TAB.xml
A modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_TABLE.xml
A modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_TREENODE.xml
A modules/org.openbravo.utility.cleanup.log/src-db/database/sourcedata/AD_WINDOW.xml
A modules/org.openbravo.utility.cleanup.log/src/org/openbravo/utility/cleanup/log/CleanEntity.java
A modules/org.openbravo.utility.cleanup.log/src/org/openbravo/utility/cleanup/log/LogCleanUpProcess.java
A src-test/src/org/openbravo/test/xml/DefaultsDataset.java
A src-test/src/org/openbravo/test/xml/testdata/dds01.xml
A src-test/src/org/openbravo/test/xml/testdata/dds02.xml
---
(0074594)
hgbot (developer)
2015-02-18 13:08

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 455932efbd010ef5c35115241ab3e0978c787a9d
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Feb 18 13:07:55 2015 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/455932efbd010ef5c35115241ab3e0978c787a9d [^]

related to issue 28930: added log clean up defaults for mobile.core

---
M src-db/database/sourcedata/AD_MODULE.xml
A referencedata/standard/Log_Clean_Up_Mobile_config.xml
A src-db/database/sourcedata/AD_DATASET.xml
A src-db/database/sourcedata/AD_DATASET_TABLE.xml
---
(0074608)
AugustoMauch (developer)
2015-02-18 16:22

Code reviewed and verified in pi@455932efbd01
(0074778)
hudsonbot (developer)
2015-02-23 05:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6856352d7235 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-02-13 08:24 alostale New Issue
2015-02-13 08:24 alostale Assigned To => alostale
2015-02-13 08:24 alostale Modules => Core
2015-02-13 08:24 alostale Triggers an Emergency Pack => No
2015-02-13 11:44 alostale Relationship added depends on 0028936
2015-02-18 10:17 hgbot Checkin
2015-02-18 10:17 hgbot Note Added: 0074579
2015-02-18 10:17 hgbot Status new => resolved
2015-02-18 10:17 hgbot Resolution open => fixed
2015-02-18 10:17 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1956d9ea32b8a7a6349caf0d542582e0e7bc577a [^]
2015-02-18 10:18 alostale Review Assigned To => AugustoMauch
2015-02-18 13:08 hgbot Checkin
2015-02-18 13:08 hgbot Note Added: 0074594
2015-02-18 16:22 AugustoMauch Note Added: 0074608
2015-02-18 16:22 AugustoMauch Status resolved => closed
2015-02-18 16:22 AugustoMauch Fixed in Version => 3.0PR15Q2
2015-02-23 05:11 hudsonbot Checkin
2015-02-23 05:11 hudsonbot Note Added: 0074778
2015-06-29 13:46 alostale Relationship added related to 0030279
2016-02-23 11:58 Orekaria Relationship added causes 0030654


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker